<?php

namespace Threepartment\Debitpayment\Block\Form;

abstract class AbstractInstruction extends \Magento\Payment\Block\Form
{

    protected $_instructions;
    protected $_remoteURL;
    protected $_checkbox;
    protected $_checkboxtext;
    protected $_autopopulate;
    protected $_moreinfo;


    public function getInstructions()
    {
        if ($this->_instructions === null) {
            $method = $this->getMethod();
            $this->_instructions = $method->getConfigData('instructions');
        }
        return $this->_instructions;
    }

    public function getRemoteURL()
    {
        if ($this->_remoteURL === null) {
            $method = $this->getMethod();
            $this->_remoteURL = $method->getConfigData('remoteurl');
        }
        return $this->_remoteURL;
    }

    
    public function getAutoPopulate()
    {
        if ($this->_remoteURL === null) {
            $method = $this->getMethod();
            $this->_remoteURL = $method->getConfigData('autopopulate');
        }
        return $this->_autopopulate;
    }

  
    public function getCheckbox()
    {
        if ($this->_remoteURL === null) {
            $method = $this->getMethod();
            $this->_checkbox = $method->getConfigData('checkbox');
        }
        return $this->_checkbox;
    }

	public function getMoreInfo()
    {
        if ($this->_remoteURL === null) {
            $method = $this->getMethod();
            $this->_remoteURL = $method->getConfigData('moreinfo');
        }
        return $this->_autopopulate;
    }

    public function getCheckboxText()
    {
        if ($this->_remoteURL === null) {
            $method = $this->getMethod();
            $this->_checkboxtext = $method->getConfigData('checkboxtext');
        }
        return $this->_checkboxtext;
    }

    
}
